<?php

CSF::createSection(aggen_option_KEY, array(
    'icon'   => 'fa fa-book',
    'title'  => esc_html__('General', 'aggen'),
    'fields' => array(

        array(
            'id'         => 'general_blog_title',
            'type'       => 'text',
            'title'      => esc_html__('Blog Title', 'aggen'),
            'desc'       => esc_html__('Set global blog title', 'aggen'),

        ),

        array(
            'id'         => 'general_breadcrumb_limit',
            'type'       => 'number',
            'title'      => esc_html__('Breadcrumb limit', 'aggen'),
            'desc'       => esc_html__('Set the breadcrump text limit', 'aggen'),
            'default'    => '50',
        ),

        array(
            'id'      => 'general_breadcrumb_post_title_show',
            'type'    => 'switcher',
            'title'   => esc_html__('Breadcrumb Post Title ?', 'aggen'),
            'default' => false
        ),

        array(
            'id'      => 'general_breadcrumb_page_title_show',
            'type'    => 'switcher',
            'title'   => esc_html__('Breadcrumb Page Title ?', 'aggen'),
            'default' => false
        ),

    )
));


CSF::createSection(aggen_option_KEY, array(
    'icon'   => 'fa fa-cart',
    'title'  => esc_html__('Shop', 'aggen'),
    'fields' => array(

        array(
            'id'         => 'shop_product_columns',
            'type'       => 'text',
            'title'      => esc_html__('Product Columns', 'aggen'),


        ),

        array(
            'id'      => 'shop_product_sidebar_enable',
            'type'    => 'switcher',
            'title'   => esc_html__('Shop Sidebar?', 'aggen'),
            'default' => false
        ),

        array(
            'id'          => 'shop_sidebar',
            'type'        => 'select',
            'title'       => esc_html__('Sidebar', 'aggen'),
            'placeholder' => 'Select an option',
            'options'     => array(
                'no' => esc_html__('No sidebar', 'aggen'),
                'left' => esc_html__('Left Sidebar', 'aggen'),
                'right' => esc_html__('Right Sidebar', 'aggen'),
            ),
            'default'     => '3'
        ),



    )
));
