<?php


// pre-loader
CSF::createSection(aggen_option_KEY, array(

	'title'   => esc_html__('Preloader', 'aggen'),
	'icon'   => 'fa fa-spinner',
	'fields' => array(


		array(
			'id'      => 'enable_preloader',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Preloader', 'aggen'),
			'desc'    => esc_html__('If you want to enable or disable preloader you can set ( YES / NO )', 'aggen'),
			'default' => false,
		),

		array(
			'id'      => 'enable_close_preloader',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Close Button', 'aggen'),
			'desc'    => esc_html__('If you want to enable or disable preloader you can set ( YES / NO )', 'aggen'),
			'default' => true,
		),

		array(
			'id'     => 'preloader_close_text',
			'type'   => 'text',
			'title'  => esc_html__('Close Text', 'aggen'),
			'default' => esc_html__('Close', 'aggen'),
			'dependency' => array('enable_close_preloader', '==', true),
		),

		array(
			'type'    => 'subheading',
			'content' => esc_html__('Preloader Background & Color', 'aggen'),
		),

		array(
			'id'      => 'preloader_bg',
			'type'    => 'background',
			'title'   => esc_html__('Preloader Background', 'aggen'),
			'output'  => '.loader-wrap .preloader',
			'desc'    => esc_html__('Upload a new background image or select color to set the preloader background.', 'aggen'),
		),

		array(
			'id'      => 'preloader_overlay_bg',
			'type'    => 'background',
			'title'   => esc_html__('Preloader Background Overlay', 'aggen'),
			'output'  => 'body .loader-wrap .layer .overlay',

		),

		array(
			'id'      => 'preloader_bg_icon',
			'type'    => 'background',
			'title'   => esc_html__('Preloader Close Icon', 'aggen'),
			'output'  => 'body .preloader .preloader-close',
			'dependency' => array('enable_close_preloader', '==', true),

		),

		array(
			'id'     => 'preloader_text_colors',
			'type'   => 'color',
			'title'  => esc_html__('Close Color', 'aggen'),
			'output' => 'body .preloader .preloader-close',
			'dependency' => array('enable_close_preloader', '==', true),
		),


	),
));
