<?php

// scroll
CSF::createSection(aggen_option_KEY, array(
    'title'  => esc_html__('Scroll Top Button', 'aggen'),
    'icon'   => 'fa fa-arrow-up',
    'fields' => array(

        array(
            'id'      => 'enable_scroll_top',
            'type'    => 'switcher',
            'title'   => esc_html__('Enable Scroll Top', 'aggen'),
            'desc'    => esc_html__('If you want to enable or disable scroll to top button you can set ( YES / NO )', 'aggen'),
            'default' => true,
        ),


        array(
            'type'    => 'subheading',
            'content' => esc_html__('Background & Color', 'aggen'),
            'dependency' => array('enable_scroll_top', '==', true),
        ),

        array(
            'id'     => 'scroll_text_color',
            'type'   => 'color',
            'title'  => esc_html__('Color', 'aggen'),
            'dependency' => array('enable_scroll_top', '==', true),
            'desc'   => esc_html__('Set color form here.', 'aggen'),
            'output' => '#er-qs-randon-button-back::after'

        ),


        array(
            'id'      => 'scroll_bg',
            'type'    => 'background',
            'title'   => esc_html__('Background', 'aggen'),
            'output'  => '#er-qs-randon-button-back',
            'dependency' => array('enable_scroll_top', '==', true),
            'desc'    => esc_html__('Upload a new background image or select color to set the preloader background.', 'aggen'),
        ),


    ),

));
